Categories:
  - System
License: GPL-3.0-or-later
WebSite: http://projectmaxs.org
SourceCode: http://projectmaxs.org/source
IssueTracker: http://projectmaxs.org/issues
Donate: http://projectmaxs.org/donate
Bitcoin: bc1qu482c0tngkcvx3q7mrm8zmuldrh2f2lrh26ym0

AutoName: MAXS Module Notification
Description: |-
    This is a Module for MAXS, which does not install any launcher. You need "MAXS
    Main" and a configured MAXS Transport to make use of it.

    The Notification module can be used to listen for new notifications and inform
    the user.

    You need to allow the access to the notifications in Settings → Security →
    Notification access. The module allows you to configure when to notify you about
    Android notifications: when posted, when removed.

RepoType: srclib
Repo: ProjectMAXS

Builds:
  - versionName: 0.0.1.16
    versionCode: 18
    commit: 0.0.1.16
    subdir: module-notification
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.17
    versionCode: 20
    commit: 0.0.1.17
    subdir: module-notification
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.18
    versionCode: 22
    commit: 0.0.1.18
    subdir: module-notification
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild: make prebuild

  - versionName: 0.0.1.19
    versionCode: 24
    commit: 0.0.1.19
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.0.1.20
    versionCode: 26
    commit: 0.0.1.20
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.0.1.21
    versionCode: 28
    commit: 0.0.1.21
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.0.1.22
    versionCode: 1463946808
    commit: 0.0.1.22
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.1.0
    versionCode: 2000100151
    commit: 0.1.0
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.2.1
    versionCode: 2000200549
    commit: 0.2.1
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.3.0
    versionCode: 2000300550
    commit: 0.3.0
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.4.0
    versionCode: 2000400598
    commit: 0.4.0
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.0
    versionCode: 2000500702
    commit: 0.5.0
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.2
    versionCode: 2000501421
    commit: 0.5.2
    subdir: module-notification
    submodules: true
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.3
    versionCode: 2000501435
    commit: 0.5.3
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y python-gnupg libxml2-utils
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.4
    versionCode: 2000501489
    disable: doesn't build
    commit: 0.5.4
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y python-gnupg libxml2-utils
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.5
    versionCode: 2000501511
    commit: 0.5.5
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y python-gnupg libxml2-utils
    init:
      - cd ..
      - make module-notification/Makefile
    prebuild:
      - make prebuild
      - rm -rf ../module-shell/libraryProjects/root-commands/ExampleApp

  - versionName: 0.5.7
    versionCode: 2000502493
    commit: 2a64a6128f219fb07124a52c3ac6160691978873
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-notification/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.8
    versionCode: 2000502507
    commit: 0.5.8
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-notification/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.9
    versionCode: 2000503279
    commit: 0.5.9
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-notification/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

  - versionName: 0.5.10
    versionCode: 2000503375
    commit: 0.5.10
    subdir: module-notification
    submodules: true
    sudo: apt-get install -y imagemagick libxml2-utils
    init: make -C .. module-notification/Makefile
    gradle:
      - yes
    rm:
      - module-shell/libraryProjects/root-commands/ExampleApp
    prebuild: make prebuild

AutoUpdateMode: Version %v
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 0.5.10
CurrentVersionCode: 2000503375
